Subject: Re: [PATCH net-next-2.6] pcnet32: Remove pointless memory barriers

From: John Dykstra <[email-masked]>
Date: Wed, 29 Apr 2009 19:16:23 -0500

On Wed, 2009-04-29 at 17:09 -0700, Don Fry wrote:
> After going back to my original NAPI changes, email exchanges today
> with
> Francois and John, and looking through all the architecture
> implementation of mmiowb and locking; I agree that this mmiowb is
> unnecessary since a lock is always released which has all the memory
> barriers needed.

[Off-list]

Don, I didn't mean to create this additional work for you, but I very
much appreciate the help.

  --  John